//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import javax.xml.bind.annotation.*;
import java.math.BigInteger;

/**
 * <p>
 * Java class for anonymous complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}NrOfChecks" minOccurs="0"/&gt;
 *         &lt;element ref="{}NrOfValidationErrors" minOccurs="0"/&gt;
 *         &lt;element ref="{}NrOfValidationWarnings" minOccurs="0"/&gt;
 *         &lt;choice&gt;
 *           &lt;element ref="{}NrOfValidationInfos" minOccurs="0"/&gt;
 *           &lt;sequence&gt;
 *             &lt;element ref="{}NrOfValidationNotes" minOccurs="0"/&gt;
 *             &lt;element ref="{}NrOfValidationReports" minOccurs="0"/&gt;
 *             &lt;element ref="{}NrOfValidationUnknown" minOccurs="0"/&gt;
 *           &lt;/sequence&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"nrOfChecks", "nrOfValidationErrors",
        "nrOfValidationWarnings", "nrOfValidationInfos", "nrOfValidationNotes",
        "nrOfValidationReports", "nrOfValidationUnknown"})
@XmlRootElement(name = "ValidationCounters")
public class ValidationCounters {

    @XmlElement(name = "NrOfChecks")
    protected BigInteger nrOfChecks;
    @XmlElement(name = "NrOfValidationErrors")
    protected BigInteger nrOfValidationErrors;
    @XmlElement(name = "NrOfValidationWarnings")
    protected BigInteger nrOfValidationWarnings;
    @XmlElement(name = "NrOfValidationInfos")
    protected BigInteger nrOfValidationInfos;
    @XmlElement(name = "NrOfValidationNotes")
    protected BigInteger nrOfValidationNotes;
    @XmlElement(name = "NrOfValidationReports")
    protected BigInteger nrOfValidationReports;
    @XmlElement(name = "NrOfValidationUnknown")
    protected BigInteger nrOfValidationUnknown;

    /**
     * Gets the value of the nrOfChecks property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfChecks() {
        return nrOfChecks;
    }

    /**
     * Sets the value of the nrOfChecks property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfChecks(BigInteger value) {
        this.nrOfChecks = value;
    }

    /**
     * Gets the value of the nrOfValidationErrors property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationErrors() {
        return nrOfValidationErrors;
    }

    /**
     * Sets the value of the nrOfValidationErrors property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationErrors(BigInteger value) {
        this.nrOfValidationErrors = value;
    }

    /**
     * Gets the value of the nrOfValidationWarnings property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationWarnings() {
        return nrOfValidationWarnings;
    }

    /**
     * Sets the value of the nrOfValidationWarnings property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationWarnings(BigInteger value) {
        this.nrOfValidationWarnings = value;
    }

    /**
     * Gets the value of the nrOfValidationInfos property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationInfos() {
        return nrOfValidationInfos;
    }

    /**
     * Sets the value of the nrOfValidationInfos property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationInfos(BigInteger value) {
        this.nrOfValidationInfos = value;
    }

    /**
     * Gets the value of the nrOfValidationNotes property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationNotes() {
        return nrOfValidationNotes;
    }

    /**
     * Sets the value of the nrOfValidationNotes property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationNotes(BigInteger value) {
        this.nrOfValidationNotes = value;
    }

    /**
     * Gets the value of the nrOfValidationReports property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationReports() {
        return nrOfValidationReports;
    }

    /**
     * Sets the value of the nrOfValidationReports property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationReports(BigInteger value) {
        this.nrOfValidationReports = value;
    }

    /**
     * Gets the value of the nrOfValidationUnknown property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getNrOfValidationUnknown() {
        return nrOfValidationUnknown;
    }

    /**
     * Sets the value of the nrOfValidationUnknown property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setNrOfValidationUnknown(BigInteger value) {
        this.nrOfValidationUnknown = value;
    }

}
